import { Component, OnInit } from '@angular/core';
import { Router } from '@angular/router';

// Importing the product model service
import { ProductModule } from '../../mymodel/product/product.module';

@Component({
  selector: 'app-productlist',
  templateUrl: './productlist.component.html',
  styleUrls: ['./productlist.component.css']
})

export class ProductlistComponent implements OnInit {

  public productsarray: ProductModule[];

  constructor(private _router: Router) {
    console.log('Product list component is initialized.');
  }

  // Initializing the products array at the component startup
  ngOnInit() {
    this.productsarray = [
      new ProductModule(1, 'Apple iPhone'),
      new ProductModule(2, 'Google Home Mini'),
      new ProductModule(3, 'Sony Walkman'),
      new ProductModule(4, 'Samsung Galaxy'),
      new ProductModule(5, 'Sony Playstation Portable'),
      new ProductModule(6, 'LG 4K HDR Television'),
      new ProductModule(7, 'Google Pixel 3 XL'),
      new ProductModule(8, 'Amazon Alexa')
    ];
  }

  // Method to get the selected product id to display details on the "product-detail" component
  getproductdetails(product: ProductModule) {
    this._router.navigate(['/product', product.productid]);
  }
}
